import { world, system, ItemStack } from "@minecraft/server";
world.beforeEvents.itemUseOn.subscribe(async data => {
  console.warn("oi")
  if (data.block.typeId == "minecraft:stone") {
    const player = data.source
   if (data.itemStack.typeId == "minecraft:flint") {
   
      player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 blayy:flint_shard ${data.itemStack.amount - Math.floor(Math.random() * data.itemStack.amount)}`)
      if (data.itemStack.amount == 1 && Math.floor(Math.random() * 2) == 1) {
        player.runCommandAsync(`clear @s blayy:flint_shard 0 1`)
      }
  
   }
 }
 })
world.afterEvents.itemCompleteUse.subscribe(event => {
const rawMeats = ["minecraft:beef", "minecraft:porkchop", "minecraft:chicken", "minecraft:salmon", "minecraft:mutton", "minecraft:rabbit", "minecraft:cod"];

if (!rawMeats.includes(event.itemStack.typeId)) return;
   event.source.runCommandAsync("effect @s poison 120 5");
});

world.beforeEvents.playerBreakBlock.subscribe(event => {
  try {
    if (event.block.typeId.includes("grass")) {
    
      let chance = Math.floor(Math.random() * 9)
      if (chance == 1) {
        chance = 0;
        event.player.runCommandAsync("give @s blayy:grass_fiber")
       
      }
    }
    if (event.block.typeId.includes("log")) {
      if (event.player.getComponent("inventory").container.getItem(event.player.selectedSlot)) {

      }else{
        event.player.runCommandAsync("effect @s mining_fatigue 10 255");
        event.player.runCommandAsync("effect @s weakness 10 255");
        event.cancel = true;    
        event.player.runCommandAsync("damage @s 5");
      }
     
      if (event.player.getComponent("inventory").container.getItem(event.player.selectedSlot).hasComponent("durability") == false) {
        event.cancel = true;    
        let item = event.player.getComponent("inventory").container.getItem(event.player.selectedSlot)
        if (item.amount > 1) {
          event.player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 ${item.typeId} ${item.amount-1}`)
        }else{
          event.player.runCommandAsync(`replaceitem entity @s slot.weapon.mainhand 0 air`)
        }
        
      }else{

      }
    }
    
   
  } catch (error) {

  }
  
});

world.afterEvents.entityHurt.subscribe(event => {
  if (event.hurtEntity.typeId !== "minecraft:player") return;
  if (event.damageSource.cause !== "fall") return;
  event.hurtEntity.runCommandAsync(`effect @s slowness ${event.damage * 4} 3`);
})
